###################################################
### chunk number 1: preliminaries
###################################################
options(width=80, show.signif.stars = FALSE,
        lattice.theme = function() canonical.theme("pdf", color = FALSE))
library(lattice)
library(Matrix)
library(lme4)
#data("Rail", package = "MEMSS")
#data("ScotsSec", package = "mlmRev")


###################################################
### chunk number 2: Dyestuff
###################################################
print(dotplot(reorder(Batch, Yield) ~ Yield, Dyestuff,
              ylab = "Batch", jitter.y = TRUE, aspect = 0.3,
              type = c("p", "a")))


###################################################
### chunk number 3: strDyestuff
###################################################
str(Dyestuff)


###################################################
### chunk number 4: Dyestufflmer
###################################################
summary(Dm1 <- lmer(Yield ~ 1 + (1|Batch), Dyestuff))


###################################################
### chunk number 5: Dyestuffformula
###################################################
Yield ~ 1 + (1|Batch)


###################################################
### chunk number 6: Dm1Xmat
###################################################
head(Dm1@X, n = 3)


